> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yiksipay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Child Address Delete Rule

> This endpoint allows users to delete a specific auto settlement rule associated with a address. The rule is identified by the `id` parameter in the URL,

#### Request Parameters

| Parameter | Type | Required | Description |
| --- | --- | --- | --- |
| id | string | Yes | The unique identifier of the auto-settlement rule to be deleted. |



## OpenAPI

````yaml delete /v1/wallets/{walletId}/addresses/{addressId}/auto-settlements/rules/{id}
openapi: 3.0.3
info:
  title: Yiksi Pay Documentation
  description: >-
    The OpenAPI specification of the Yiksi Pay API that enables fintechs and
    developers to seamlessly integrate stablecoin deposits and payments into
    their products.
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.yiksipay.com
security:
  - apiKey: []
tags:
  - name: Wallet
    description: >-
      Wallet Management System


      Comprehensive wallet management API for multi-blockchain operations. This
      system handles wallet creation, configuration, balance monitoring, and
      integration with various blockchain networks.


      Core Functionality:


      - Multi-blockchain wallet creation and management
          
      - Balance monitoring and asset tracking
          
      - Auto-settlement rule configuration
          
      - Address generation and management
          
      - Transaction monitoring and processing
  - name: Addresses
    description: >-
      Address Management System


      Comprehensive blockchain address management API for operations. This
      system handles address creation, validation, monitoring, and management
      across multiple blockchain networks.  


      Core Functionality:


      - Multi-blockchain address generation
          
      - Address validation and verification
          
      - Balance monitoring and tracking
          
      - Transaction history management
          
      - Address labeling and organization
          
      - Integration with wallet systems
          
      - Real-time address monitoring
  - name: Asset
  - name: Transactions
  - name: Withdraw
    description: >-
      The Withdraw feature allows you to programmatically withdraw stablecoins
      from your master wallet with ease
  - name: Signing
    description: >-
      Typed data signing service for secure transaction authorization. Supports
      all EIP-712 standards including EIP-3009 (TransferWithAuthorization) and
      EIP-2612 (Permit).
  - name: Swap
    description: >-
      The Swap feature enables users to exchange one stabelcoin asset for
      another across different blockchains. This feature provides a seamless way
      to convert between different stablecoins while maintaining security and
      compliance standards.
  - name: Auto Settlements
    description: >-
      Creates a new auto settlement rule for a wallet. Auto settlement
      automatically transfers/swap assets based on configured rules when certain
      conditions are met.


      Rules can be configured for:


      - Source blockchain and assets
          
      - Destination blockchain and asset
          
      - Amount ranges (min/max)
          
      - Slippage tolerance
          
  - name: Smart Contract
    description: >-
      This API provides endpoints for interacting with smart contracts on the
      blockchain. It allows for reading contract data, executing contract
      functions, and estimating network fees.
  - name: Beneficiaries
    description: >-
      This API allows you to create beneficiaries with automatic settlements to
      your external wallets on a periodic basis.


      Example frequencies: INSTANT, DAILY, WEEKLY, MONTHLY, YEARLY
  - name: AML
    description: >-
      The AML (Anti Money Laundering) API provides a quick way for you to check
      if an address is blacklisted or sanctioned
  - name: Asset Recovery
    description: >-
      Enables the recovery (salvage) of both native blockchain assets and tokens
      from a specified sender address to a recipient address. This feature
      supports emergency fund recovery and asset consolidation operations.
  - name: Miscellaneous
    description: >-
      The Miscellaneous API are supporting APIs that can be used to provide more
      details to other APIs.
  - name: Asset1
  - name: Blockchain
  - name: Webhooks
    description: >-
      Webhooks allow you to set up a notification system that can be used to
      receive updates on certain requests made to the Yiksi Pay API.  
        
      To see full list and instructions
      [https://docs.yiksipay.com/essentials/webhooks](https://docs.yiksipay.com/essentials/webhooks)


      ##
  - name: Deposit
  - name: Withdraw1
  - name: Swap1
paths:
  /v1/wallets/{walletId}/addresses/{addressId}/auto-settlements/rules/{id}:
    parameters:
      - name: walletId
        in: path
        required: true
        schema:
          type: string
          example: '{{walletId}}'
      - name: addressId
        in: path
        required: true
        schema:
          type: string
          example: 534e0480-f444-40c0-bc2e-2ef17bf7999e
      - name: id
        in: path
        required: true
        schema:
          type: string
          example: 55869cbe-fa3a-44d2-a7e3-d65c08355e4d
    delete:
      tags:
        - Auto Settlements
      summary: Child Address Delete Rule
      description: >-
        This endpoint allows users to delete a specific auto settlement rule
        associated with a address. The rule is identified by the `id` parameter
        in the URL,


        #### Request Parameters


        | Parameter | Type | Required | Description |

        | --- | --- | --- | --- |

        | id | string | Yes | The unique identifier of the auto-settlement rule
        to be deleted. |
      operationId: childAddressDeleteRule
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      createdAt:
                        type: string
                        example: '2025-08-26T17:27:37.369Z'
                      destination:
                        type: object
                        properties:
                          address:
                            type: string
                            example: '0x77777777Dcc4d5A8B6E418Fd04D8997ef11000eE'
                          asset:
                            type: string
                            example: USDC
                          blockchain:
                            type: string
                            example: base
                      id:
                        type: string
                        example: 55869cbe-fa3a-44d2-a7e3-d65c08355e4d
                      isActive:
                        type: boolean
                        example: true
                      name:
                        type: string
                        example: Swap from USDC to Optimism USDC
                      order:
                        type: string
                        example: FASTEST
                      slippageTolerance:
                        type: string
                        example: '5'
                      source:
                        type: object
                        properties:
                          assets:
                            type: array
                            items:
                              type: string
                              example: USDC
                            example:
                              - USDC
                          blockchain:
                            type: string
                            example: base
                          maxAmount:
                            type: string
                            example: '1000'
                          minAmount:
                            type: string
                            example: '1'
                      updatedAt:
                        type: string
                        example: '2025-08-26T17:27:37.369Z'
                  message:
                    type: string
                    example: Auto settlement rule deleted successfully
                  statusCode:
                    type: number
                    example: 200
              examples:
                '200':
                  value:
                    data:
                      createdAt: '2025-08-26T17:27:37.369Z'
                      destination:
                        address: '0x77777777Dcc4d5A8B6E418Fd04D8997ef11000eE'
                        asset: USDC
                        blockchain: base
                      id: 55869cbe-fa3a-44d2-a7e3-d65c08355e4d
                      isActive: true
                      name: Swap from USDC to Optimism USDC
                      order: FASTEST
                      slippageTolerance: '5'
                      source:
                        assets:
                          - USDC
                        blockchain: base
                        maxAmount: '1000'
                        minAmount: '1'
                      updatedAt: '2025-08-26T17:27:37.369Z'
                    message: Auto settlement rule deleted successfully
                    statusCode: 200
components:
  securitySchemes:
    apiKey:
      type: apiKey
      name: x-api-key
      in: header

````